## %define __objdump /usr/bin/true
## %define __strip /usr/bin/true

Name:    MediaCenter
Version: %{_tversion}
Release: %{?_variation:%{_variation}}%{?dist}
Summary: JRiver MediaCenter
Group:   Applications/Media
Source0: http://files.jriver.com/mediacenter/channels/v21/latest/MediaCenter-%{_version}-amd64.deb
Source1: mediacenter21.desktop

BuildRequires: rpm >= 4.7.2-2
BuildRequires: dpkg

AutoReq:  0
Requires: libnotify librtmp lame vorbis-tools alsa-lib
Requires: libX11 libX11-common libxcb libXau libXdmcp libuuid
Requires: xorg-x11-fonts-75dpi xorg-x11-fonts-100dpi
Requires: xorg-x11-fonts-ISO8859-1-75dpi xorg-x11-fonts-ISO8859-1-100dpi
Requires: gtk2 gtk2-engines mesa-libGL gnutls gtk2

License: Copyright 1998-2013, JRiver, Inc.  All rights reserved.  Protected by U.S. patents #7076468 and #7062468
URL:     http://www.jriver.com/

%description
Media Center is
More than a world class player. It's also a Media Network, a whole house music, movie, TV, and photo solution.
The leader in audiophile quality sound.
The most powerful media database available; an essential tool for large collections
An endless source of satisfaction for tweakers and developers

Media Center plays
More file formats than any other player
Connected media from Last.fm, Netflix, Hulu, and Youtube. And it sends to Flickr, Facebook, and Twitter.
Supports more cell phones, MP3 players, DLNA, and other devices
Powers an HTPC to entertain your family. Even different playback in multiple zones. J River Media Center

%prep

%build

%install
dpkg -x %{S:0} %{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications
cp %{S:1} %{buildroot}%{_datadir}/applications
rm "%{buildroot}%{_datadir}/applications/media center 21.desktop" || true


%post
ldconfig
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :

%postun
ldconfig
if [ $1 -eq 0 ] ; then
  /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files
%{_bindir}/mediacenter21
"%{_libdir}/jriver"
%{_datadir}
